:root {
    /* Main Gruvbox color scheme */
    --background: #1d2021;
    --foreground: #fbf1c7;
    --red:    #fb4934;
    --green:  #b8bb26;
    --yellow: #fabd2f;
    --blue:   #83a598;
    --purple: #d3869b;
    
    /* Additional Colors */
    --aqua:   #8ec07c;
    --gray:   #413930;
    --orange: #fe8019;
    --d-purple: #b16286;
    --muted-foreground: #83a59888;

    /* Other variables */
    --small-padding: 8px;
    --big-padding: 24px;
    --max-width-aside: 200px;
    --outline: var(--foreground) 2px dotted;
}

* {
    margin: 0;
    padding: 0;
    color: var(--foreground);
    font-family: "Space Grotesk";
}

/* Large objects (ordered by size) */
body {
    height: 100vh;
    overflow: hidden;

    background-color: var(--background);
    /* Looping background pattern */
    background-image: linear-gradient(135deg, var(--muted-foreground), var(--muted-foreground) 50%, var(--background) 50%, var(--background));
    background-size: 1em 1em;
    background-position: center;
}

main {
    margin: var(--small-padding);
    height: 95vh;
    display: flex;
}

aside {
    position: relative;
    width: 100%;
    max-width: var(--max-width-aside);

    display: flex;
    flex-flow: column;
    justify-content: end;

    /* Default background image, to be changed on each page */
    background-image: url("../assets/wires.jpg");
    background-size: cover;
    background-position: center;

    outline: var(--outline);
}

aside div {
    padding: var(--small-padding);
    max-height: 150px;
    overflow-y: scroll;
    
    background-color: var(--background);
    border-top: var(--outline);
}

footer {
    display: flex;
    flex-flow: column;
    /* Push items to bottom of container */
    justify-content: flex-end; 
    align-items: center;

    /* Grow to max height */
    flex-grow: 1;
}

/* Smaller objects (ordered A-Z) */
a {
    color: var(--d-purple)
}

b {
    color: var(--blue)
}

/* Ignore border for nav */
div.nav {
    max-height: none;
    border: none;
}

h1, h2, h3, h4, h5, h6 {
    color: var(--green);
    font-style: italic;
    text-decoration: underline wavy 1.4px;
}

h1:hover, h2:hover, h3:hover, h4:hover, h5:hover, h6:hover {
    text-shadow: var(--foreground) 0 0 1px;
}

h1, h2, h3, h4, h5, h6, p, li {
    margin-bottom: 0.25em;
}

img {
    /* Makes pixel art less blurry */
    image-rendering: crisp-edges;
}

img:hover {
    /* Use transform instead of changing size so margins don't break
    Thank you Petrapixel https://petrapixel.neocities.org/ */
    transform: scale(1.05);
}

li::before {
    /* Change list bullets to stars! */
    content: "✦ ";
}

nav {
    display: flex;
    flex-flow: column;
}

ul {
    padding-left: var(--small-padding);
    list-style-type: none;
}

/* Multiple hover effects */
a:hover,
li:hover .purple,
p:hover .date {
    color: var(--purple);
    font-style: italic;
}

/* Simple custom classes (A-Z) */
/* They're very self-explanatory */
.current-mood-img {
    height: 24px;
}

.date, .purple {
    color: var(--d-purple)
}

.date::after {
    content: ": ";
}

.small {
    font-size: small;
}

/* Other custom classes (A-Z) */
/* MAIN CONTAINER
Sits next to the aside in normal layout.
Holds almost all the content. */
.main-container {
    padding: var(--big-padding);
    width: 50%;
    min-width: 800px;
    display: flex;
    flex-flow: column;

    background-color: var(--background);
    outline: var(--outline);
}

/* EXPANDER
Used to push flexboxes to the top and bottom */
.expander {
    max-height: none;
    flex-grow: 1;
    background-color: transparent;
}

/* SOURCES
Holds all of the references and inspirations for this site. */
.sources {
    display: flex;
    flex-wrap: wrap;
    gap: var(--small-padding);
}

/* When aside disappears */
@media (max-width: 848px) {
    .main-container {
        width: 100%;
        min-width: 0px;
    }
    aside {
        display: none;
    }
}





